dofile('data/Scenes/36_temple_3_Anim_Portal_Start.lua')

local PATH_COMICS_36_ON_SHOWN           = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
local PATH_COMICS_36_ON_WIN             = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_36_ACTIVE_GAME        = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_36_PAPER              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_36_TABLE              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_36_COIN               = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_MINIGAME_36_GAME             = 'data/Scenes/MiniGames/36_Plates.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())
    
    local pf = play_field
    local level = pf:GetLevelScreen()
	---------------------------------------------------------------------------------------------
    AddRandomTasks(14,
         CreateTask('BELL', '', 'bell'),
         CreateTask('BUTTERFLY', 'BUTTERFLIES', 'butterfly', 'butterfly_2', 'butterfly_3', 'butterfly_4'),
         CreateTask('CROCODILE', '', 'crocodile'),
         CreateTask('DAGGER', 'DAGGERS', 'dagger', 'dagger_2', 'dagger_3'),
         CreateTask('SWORD', 'SWORDS', 'sword', 'sword_2'),
         CreateTask('GONG', '', 'gong'),
         CreateTask('HAT', 'HATS', 'hat_2'),
         CreateTask('HEART', 'HEARTS', 'heart', 'heart_3'),
         CreateTask('KEY', 'KEYS', 'key', 'key_2'),
         CreateTask('MASK', 'MASKS', 'mask', 'mask_2'),
         CreateTask('OWL', 'OWLS', 'owl', 'owl_2'),
         CreateTask('PINEAPPLE', '', 'pineapple'),
         CreateTask('SNAIL', 'SNAILS', 'snail', 'snail_2'),
         CreateTask('SPEAR', 'SPEARS', 'spear', 'spear_2'),
         CreateTask('TAMBOURINE', 'TAMBOURINES', 'tambourine', 'tambourine_2'),
         CreateTask('TULIP', 'TULIPS', 'tulip', 'tulip_2', 'tulip_3', 'tulip_4', 'tulip_5')
        )
    pf:IgnoreOnTestPoint('BG_Tulpan5')
    pf:IgnoreOnTestPoint('BG_Maska1')
    pf:IgnoreOnTestPoint('BG_Tulpan4')
    pf:IgnoreOnTestPoint('BG_Sova2')
    pf:IgnoreOnTestPoint('BG_Babochka2')
    ---------------------------------------------------------------------------------------------
    local portal = createCompositiontemple_start_portal()
    portal:AttachTo(play_field)
    portal:SetZ(90)
    portal:SetDestroysOnEnd(false)
    portal:SetVisible(false)
    game_state.portal = portal
    
    local portal_cycle = createCompositiontemple_cycle_portal()
    portal_cycle:AttachTo(play_field)
    portal_cycle:SetZ(95)
    portal_cycle:SetDestroysOnEnd(false)
    portal_cycle:SetCyclic(true)
    portal_cycle:SetVisible(false)
    ---------------------------------------------------------------------------------------------
    local zone_sarcophagus = CreateZoomZone('close_zone_sarcophagus',
                                            'pixel_open_sarcophagus',
                                            'BgZoomSarcophagus',
                                            'game',
                                            'pixel_active_game',
                                            'pixel_use_paper'
                                           )
    game_state.zone_sarcophagus = zone_sarcophagus
    pf:GetObject('pixel_active_game'):SetMaxOpacity(0.01)
    pf:GetObject('pixel_use_paper'):SetMaxOpacity(0)
	---------------------------------------------------------------------------------------------
	local zone_door = CreateZoomZone('close_zone_door',
                                     '', -- pixel_open_door
                                     'BgZoomDoor',
                                     'paper'
                                    )
	---------------------------------------------------------------------------------------------
	local clickOnActiveGame = function(save)
	    UnregisterActiveObject('pixel_active_game')
	    pf:GetObject('pixel_active_game'):SetMaxOpacity(0)
	    pf:GetObject('pixel_active_game'):SetOpacity(0)
	    RegisterZoomZone(zone_door, 'pixel_open_door')
	    
	    if not save then
	        game_state.chain_active_game.Play()
	    end
	end
	RegisterActiveObject('pixel_active_game', clickOnActiveGame, false, GetCursorArms())
	---------------------------------------------------------------------------------------------
	local photo_action_paper = function()
	                            pf:GetObject('pixel_use_paper'):SetMaxOpacity(0.01)
	                           end
	local apply_action_paper = function(save)
	                            pf:GetObject('pixel_use_paper'):SetMaxOpacity(0)
	                            pf:GetObject('pixel_use_paper'):SetOpacity(0)
	                            if save then
	                            else
	                                MakeSoundEntity('36_move_portal'):Play(false)
	                            end
                               end
	local photo_paper   = CreatePhotoZone('paper', 'PAPER', 'photo_paper', photo_action_paper, 'pixel_use_paper', apply_action_paper)
	---------------------------------------------------------------------------------------------
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneSMS(PATH_COMICS_36_ON_SHOWN, 'COMICS_36_ON_SHOWN')
                                                 end )
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneSMS(PATH_COMICS_36_ON_WIN, 'COMICS_35_ON_WIN')
                                                 end )
    game_state.chain_coin = RegisterComicsEx(function()
                                                    LoadComics(PATH_COMICS_36_COIN, 'COMICS_36_COIN')
                                                    CreateOneSMS('COMICS_36_COIN', 1)
                                                 end )
    game_state.chain_coin.OnHidden = function()
        RunMoney()
    end
    game_state.chain_active_game = RegisterComicsEx(function()
                                                    local comics = LoadComics(PATH_COMICS_36_ACTIVE_GAME, 'COMICS_36_ACTIVE_GAME_1')
                                                    if comics then
                                                        CreateOneSMS('COMICS_36_ACTIVE_GAME_1', 1)
                                                        local sms_2 = CreateOneSMS('COMICS_36_ACTIVE_GAME_2', 2)
                                                        sms_2:SetBgPhone('data/Texture/Comics/animation/sms/message_professor.png', 'professor2')
                                                        CreateOneReplicHeroes('COMICS_36_ACTIVE_GAME_3', 3)
                                                        local sms_4 = CreateOneSMS('COMICS_36_ACTIVE_GAME_4', 4)
                                                        sms_4:SetBgPhone('data/Texture/Comics/animation/sms/message_professor.png', 'professor4')
                                                    end
                                                 end )
    game_state.chain_paper = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_36_PAPER, 'COMICS_36_PAPER')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_paper, game_state.chain_paper)
    game_state.chain_table = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_36_TABLE, 'COMICS_36_TABLE')
	                                             end )
	---------------------------------------------------------------------------------------------
	pf:GetObject('pixel_use_table'):SetOpacity(0)
	pf:GetObject('plitka_in_portal'):SetOpacity(0)
	local photo_action_table = function(save)
	                            game_state.zone_sarcophagus.UnBlocked()
	                            TryToDisableZoomZonesIfPossible()
	                            if save then
	                                pf:GetObject('pixel_use_table'):SetOpacity(1)
	                                game_state.portal:SetVisible(true)
                                    game_state.portal:Rewind(true)
	                            else
                                    TimerDo(pf:GetTimer(), 1.5, function()
                                                                    game_state.portal:SetVisible(true)
                                                                    game_state.portal:Play()
                                                                    pf:GetObject('pixel_use_table'):SetOpacity(1)    
                                                                end )
	                            end
	                           end
	local apply_action_table = function(save)
	                            if save then
	                                portal_cycle:SetVisible(true)
                                    portal_cycle:Play()
                                    
                                    pf:GetObject('plitka_in_portal'):SetOpacity(1)
                                    
                                    if game_state.chain_coin.played then
                                        play_field:GetLevelScreen():GetPanel():SetCoins(0)
                                        play_field:GetLevelScreen():GetPanel():UpdateCoins()
                                    end
	                            else
	                                local portal_go = createCompositiontemple_go_portal()
                                    portal_go:AttachTo(play_field)
                                    portal_go:SetZ(95)
                                    portal_go:Play()
                                    
                                    local duration = portal_go:GetDuration()
                                    TimerDo(pf:GetTimer(), duration, function()
                                                                        portal_cycle:SetVisible(true)
                                                                        portal_cycle:Play()
                                                                     end )
                                                                     
                                    pf:GetObject('plitka_in_portal'):ChangeOpacity(0, 1, 0.2)
                                    game_state.chain_coin.Play()     
	                            end
	                            
	                            MakeSoundEntity('36_run_portal'):Play(true)
                               end
	local photo_table  = CreatePhotoZone('game', 'TABLE', 'photo_table', photo_action_table, 'pixel_use_table', apply_action_table)
	SetHintComicsPhotoZoneEx(photo_table, game_state.chain_table)
	---------------------------------------------------------------------------------------------
	RegisterMiniGame(PATH_MINIGAME_36_GAME, function()
	                                            game_state.zone_sarcophagus.SetVisible(true)
	
                                                LoadMiniGames(PATH_MINIGAME_36_GAME)
                                            end )
    ---------------------------------------------------------------------------------------------
end

function RunMoney()
    if not game_state.run_money then
        local path = 'data/Texture/Scenes/36_temple_3_/items/coin.png'
        play_field:GetLevelScreen():GetPanel():FlyMoneyInPortal(path, 502, 284)
        game_state.run_money = true
    end
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
        if game_state.chain_coin.played then
            RunMoney()
        end
        
        game_state.chain_on_shown.Play()
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
    if mini_game == PATH_MINIGAME_36_GAME then
        
        game_state.zone_sarcophagus.Blocked(1)
        local phone = play_field:GetLevelScreen():GetPhone()
        phone:MakePhoto( play_field:GetObject('game') )
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
    OnWin()
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true
    
    if obj_name == 'game' and IsMiniGamePlay(PATH_MINIGAME_36_GAME) == false then
        return false
    end

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
    
    if tool:GetName() == 'paper' and object:GetName() == 'pixel_use_paper' then
        PlayRegisterMiniGame(PATH_MINIGAME_36_GAME)
    end
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    local coin = play_field:GetLevelScreen():GetPanel():GetCoins()
    if coin == 0 and play_field:GetLevelScreen():IsCompleteLevel() then
        OnWinLevel()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/bell.png',0,0,56,44,1,0)
	anim:SetHotSpot(28,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,260,430,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/butterfly.png',0,0,61,48,1,0)
	anim:SetHotSpot(30,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,585,635,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/butterfly_2.png',0,0,76,74,1,0)
	anim:SetHotSpot(38,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly_2',anim,926,366,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/butterfly_3.png',0,0,47,59,1,0)
	anim:SetHotSpot(23,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly_3',anim,392,443,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/butterfly_4.png',0,0,50,40,1,0)
	anim:SetHotSpot(25,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly_4',anim,246,206,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/crocodile.png',0,0,154,113,1,0)
	anim:SetHotSpot(77,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crocodile',anim,675,708,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/dagger.png',0,0,101,55,1,0)
	anim:SetHotSpot(50,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger',anim,909,681,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/dagger_2.png',0,0,95,29,1,0)
	anim:SetHotSpot(47,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger_2',anim,895,100,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/dagger_3.png',0,0,122,58,1,0)
	anim:SetHotSpot(61,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger_3',anim,392,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/gong.png',0,0,56,86,1,0)
	anim:SetHotSpot(28,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gong',anim,1004,458,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/hat_2.png',0,0,55,84,1,0)
	anim:SetHotSpot(27,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat_2',anim,329,276,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/heart.png',0,0,53,56,1,0)
	anim:SetHotSpot(26,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('heart',anim,957,212,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/heart_3.png',0,0,36,45,1,0)
	anim:SetHotSpot(18,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('heart_3',anim,299,205,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/key.png',0,0,70,44,1,0)
	anim:SetHotSpot(35,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,346,718,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/key_2.png',0,0,29,61,1,0)
	anim:SetHotSpot(14,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_2',anim,750,224,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/mask.png',0,0,59,77,1,0)
	anim:SetHotSpot(29,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,899,216,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/mask_2.png',0,0,77,81,1,0)
	anim:SetHotSpot(38,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask_2',anim,973,648,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/owl.png',0,0,50,62,1,0)
	anim:SetHotSpot(25,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('owl',anim,286,374,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/owl_2.png',0,0,64,81,1,0)
	anim:SetHotSpot(32,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('owl_2',anim,771,573,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/pineapple.png',0,0,81,108,1,0)
	anim:SetHotSpot(40,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pineapple',anim,816,528,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/snail.png',0,0,50,30,1,0)
	anim:SetHotSpot(25,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snail',anim,261,571,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/snail_2.png',0,0,47,61,1,0)
	anim:SetHotSpot(23,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('snail_2',anim,577,428,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/spear.png',0,0,116,213,1,0)
	anim:SetHotSpot(58,106)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spear',anim,925,498,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/spear_2.png',0,0,40,176,1,0)
	anim:SetHotSpot(20,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spear_2',anim,267,315,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tambourine.png',0,0,72,67,1,0)
	anim:SetHotSpot(36,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tambourine',anim,531,560,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tambourine_2.png',0,0,52,50,1,0)
	anim:SetHotSpot(26,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tambourine_2',anim,639,74,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tulip.png',0,0,131,78,1,0)
	anim:SetHotSpot(65,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip',anim,541,644,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tulip_2.png',0,0,56,72,1,0)
	anim:SetHotSpot(28,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip_2',anim,859,527,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tulip_3.png',0,0,53,64,1,0)
	anim:SetHotSpot(26,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip_3',anim,238,107,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tulip_4.png',0,0,77,55,1,0)
	anim:SetHotSpot(38,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip_4',anim,649,24,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/tulip_5.png',0,0,81,57,1,0)
	anim:SetHotSpot(40,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tulip_5',anim,938,271,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Babochka2.png',0,0,41,62,1,0)
	anim:SetHotSpot(20,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Babochka2',anim,956,384,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Botinok.png',0,0,37,56,1,0)
	anim:SetHotSpot(18,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Botinok',anim,841,462,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Buben2.png',0,0,48,26,1,0)
	anim:SetHotSpot(24,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Buben2',anim,647,92,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Kinzhal2.png',0,0,112,28,1,0)
	anim:SetHotSpot(56,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Kinzhal2',anim,896,107,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Klyuch1.png',0,0,31,41,1,0)
	anim:SetHotSpot(15,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Klyuch1',anim,374,711,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Krokodil.png',0,0,73,124,1,0)
	anim:SetHotSpot(36,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Krokodil',anim,631,710,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Maska1.png',0,0,59,45,1,0)
	anim:SetHotSpot(29,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Maska1',anim,891,200,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Sova2.png',0,0,75,93,1,0)
	anim:SetHotSpot(37,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Sova2',anim,761,577,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Tulpan1.png',0,0,117,65,1,0)
	anim:SetHotSpot(58,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tulpan1',anim,573,663,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Tulpan3.png',0,0,20,20,1,0)
	anim:SetHotSpot(10,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tulpan3',anim,262,135,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Tulpan4.png',0,0,46,32,1,0)
	anim:SetHotSpot(23,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tulpan4',anim,625,13,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Tulpan5.png',0,0,41,44,1,0)
	anim:SetHotSpot(20,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Tulpan5',anim,957,259,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/sword.png',0,0,43,107,1,0)
	anim:SetHotSpot(21,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword',anim,757,362,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/items/sword_2.png',0,0,159,169,1,0)
	anim:SetHotSpot(79,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sword_2',anim,296,567,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/BG_Shpaga2.png',0,0,98,93,1,0)
	anim:SetHotSpot(49,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Shpaga2',anim,338,615,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_sarcophagus',anim,705,481,120,0,10,17)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/ZoomSarcophagus/BgZoomSarcophagus.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgZoomSarcophagus',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_active_game',anim,508,367,540,0,33,17)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_paper',anim,508,367,560,0,33,17)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_door',anim,497,336,120,0,10,7)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/ZoomDoor/BgZoomDoor.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BgZoomDoor',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/ZoomDoor/paper.png',0,0,118,42,1,0)
	anim:SetHotSpot(59,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('paper',anim,415,406,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/photo/photo_paper.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_paper',anim,93,646,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/photo/photo_table.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_table',anim,93,659,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/ZoomSarcophagus/game.png',0,0,278,149,1,0)
	anim:SetHotSpot(139,74)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('game',anim,510,372,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_use_table',anim,635,282,190,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/36_temple_3_/layers/plitka_in_portal.png',0,0,61,74,1,0)
	anim:SetHotSpot(30,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('plitka_in_portal',anim,625,271,250,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
